TAR(1)

NAME
tar - (tape archiver) verwaltet Dateiarchive

Diese Handbuchseite ist eventuell veraltet. Im Zweifelsfall ziehen Sie die englischsprachige Handbuchseite zu Rate, indem Sie

    man -LC 1 tar

eingeben.

ÜBERSICHT
tar [OPTION]... [DATEI]...

BESCHREIBUNG
GNU tar schreibt mehrere Dateien in ein Archiv auf Band oder Festplatte und kann einzelne Dateien aus diesem Archiv herausholen. Das Archiv kann auf Band, rohen (unformatierten) Disketten oder als gewöhnliche Datei angelegt sein. Optional ist ein Komprimieren mit verschiedenen Filtern möglich, von Haus aus werden z. B. gzip(1) und bzip(1) unterstützt.

Wenn eine lange Option ein Argument erfordert, ist es für die entsprechende kurze Option auch erforderlich. Das gleiche gilt für optionale Argumente.

  Beispiele:
Datei archiv.tar mit den Dateien foo und bar erzeugen:
    tar -cf archiv.tar foo bar
Inhalt von archiv.tar ausführlich anzeigen:
    tar -tvf archiv.tar
Alle Dateien aus archiv.tar extrahieren:
    tar -xf archiv.tar

  Aktionen:

-t, --list
    Inhalt eines Archivs anzeigen

-x, --extract, --get
    Dateien aus Archiv holen

-c, --create
    neues Archiv erzeugen

-d, --diff, --compare
    Dateien im Archiv und im Dateisystem vergleichen

-r, --append
    Dateien an das Archiv anhängen

-u, --update
    nur Dateien anhängen, die jünger sind als ihre Archiv-Version

-A, --catenate
    tar-Dateien an ein Archiv anhängen

--concatenate
    wie -A

--delete
    aus Archiv löschen (nicht auf Magnetbändern!)

  Feineinstellungen:

-W, --verify
    Archiv nach dem Schreiben prüfen

--remove-files
    Dateien nach dem Hinzufügen zum Archiv löschen

-k, --keep-old-files
    vorhandene Dateien nicht überschreiben

--overwrite
    vorhandene Dateien überschreiben

-U, --unlink-first
    zu überschreibende Dateien vor dem Auspacken löschen

--recursive-unlink
    Verzeichnisse vor dem Entpacken löschen

-S, --sparse
    löchrige Dateien (»sparse files«) effizient behandeln

-O, --to-stdout
    Dateien zur Standard-Ausgabe entpacken

-G, --incremental
    inkrementelle Sicherung im alten GNU-Format

-g, --listed-incremental=DATEI
    inkrementelle Sicherung im neuen GNU-Format

--ignore-failed-read
    Kein Abbruch bei nicht lesbaren Dateien

  Datei-Eigenschaften:

--owner=NAME
    Eigentümer für hinzugefügte Dateien auf NAME setzen

--group=NAME
    Gruppe für hinzugefügte Dateien auf NAME setzen

--mode=RECHTE
    Zugriffsrechte für hinzugefügte Dateien auf RECHTE setzen

--atime-preserve
    Zugriffszeit beim Auspacken erhalten

-m, --modification-time
    Änderungszeit beim Auspacken erhalten

--same-owner
    Eigentümer beim Auspacken erhalten

--no-same-owner
    Eigentümer beim Auspacken auf Ausführenden setzen

--numeric-owner
    Zahlen für Benutzer bzw. Gruppen benutzen

-p, --same-permissions
    Zugriffsrechte beim Auspacken erhalten

--no-same-permissions
    Keine Zugriffsrechte erhalten

--preserve-permissions
    wie -p

-s, --same-order
    zu entpackende Dateinamen wie im Archiv sortieren

--preserve-order
    wie -s

--preserve
    wie -p und -s zusammen

  Geräteauswahl und -einstellung:

-f, --file=ARCHIV
    Gerät oder Datei ARCHIV benutzen

--force-local
    Archiv-Datei ist lokal, auch wenn der Name einen Doppelpunkt enthält

--rsh-command=BEFEHL
    statt rsh(1) den BEFEHL benutzen

-[0-7][lmh]
    Laufwerk und Schreibdichte angeben

-M, --multi-volume
    mehrteiliges Archiv anlegen/listen/herausholen

-L, --tape-length=ZAHL
    Medium wechseln, wenn ZAHL KBytes geschrieben sind

-F, --info-script=DATEI
    am Ende jedes Mediums das Skript DATEI ausführen (impliziert -M)

--new-volume-script=DATEI
    wie -F DATEI

--volno-file=DATEI
    Teil-Nummer in DATEI benutzen/aktualisieren

  Blockung des Gerätes:

-b, --block-size=BLÖCKE
    BLÖCKE à 512 Bytes pro Record

--record-size=GRÖSSE
    GRÖSSE Bytes pro Record, Vielfaches von 512

-i, --ignore-zeros
    Blöcke mit Nullen im Archiv ignorieren (heißt EOF)

-B, --read-full-blocks
    Blockung beim Lesen ändern (für 4.2BSD »Pipes«)

  Auswahl des Archiv-Formats:

-V, --label=NAME/MUSTER
    Archiv NAME erzeugen
    Beim Anzeigen/Herausholen ist MUSTER ein regulärer Ausdruck

-o, --old-archive, --portability
    Archiv im »V7«-Format schreiben

--posix
    POSIX-konformes Archiv schreiben

-j, --bzip2
    Archiv mit bzip2(1) (de)komprimieren

-z, --gzip, --ungzip
    Archiv mit gzip(1) (de)komprimieren

-Z, --compress, --uncompress
    Archiv mit compress(1) (de)komprimieren

--use-compress-program=PROG
    Archiv durch PROG filtern (muss -d akzeptieren)

  Auswahl der lokalen Dateien:

-C, --directory=VERZEICHNIS
    zu VERZEICHNIS wechseln

-T, --files-from=DATEI
    Namen der zu bearbeitenden Dateien aus DATEI lesen

--null
    -T liest Null-terminierte Namen, verbietet -C

--exclude=MUSTER
    Dateien auslassen, auf die MUSTER passt

-X, --exclude-from=DATEI
    Dateien auslassen, auf die in DATEI angegebene Muster passen

--no-anchored
    Pattern-Matching nach »/« ausschließen

--ignore-case
    Ignoriere Groß-/Kleinschreibung bei ausgelassenen Dateien

--no-ignore-case
    Beachte Groß-/Kleinschreibung bei ausgelassenen Dateien (Default)

--wildcards
    Muster für ausgelassene Dateien benutzt Wildcards (Default)

--no-wildcards
    Muster für ausgelassene Dateien enthält keine Wildcards

--wildcards-match-slash
    Wildcards in Mustern für ausgelassene Dateien passen auf »/« (Default)

--no-wildcards-match-slash
    Wildcards in Mustern für ausgelassene Dateien passen nicht auf »/«

-P, --absolute-names
    führende »/«-Zeichen in den Dateinamen erhalten

-h, --dereference
    Dateien statt symbolischer Links sichern

--no-recursion
    keine Verzeichnisse sichern

--one-file-system
    beim Erzeugen Dateisystem nicht wechseln

-K, --starting-file=NAME
    mit NAME im Archiv beginnen

-N, --newer=DATUM
    nur Dateien jünger als DATUM sichern

--newer-mtime=DATUM
    Datum und Zeit nur vergleichen, wenn sich der Datei-Inhalt geändert hat

--after-date=DATUM
    wie -N

--backup[=CONTROL]
    Sicherheitskopie vor dem Löschen, wählt Versionskontrolle

--suffix=SUFFIX
    Sicherheitskopie vor dem Löschen, Namenserweiterung SUFFIX

  Informationen:

--help
    Hilfe anzeigen und tar beenden

--version
    Versionsnummer anzeigen und tar beenden

-v, --verbose
    zu bearbeitende Dateien ausführlich listen

--checkpoint
    Verzeichnisnamen beim Lesen des Archivs zeigen

--totals
    geschriebene Bytes beim Schreiben des Archivs zeigen

-R, --block-number
    Blocknummer innerhalb des Archivs mit jeder Meldung zeigen

-w, --interactive
    Bestätigung für jede Aktion verlangen

--confirmation
    wie -w

Die Namenserweiterung für Sicherheitskopien ist ~, wenn nicht mit --suffix oder der Umgebungsvariablen SIMPLE_BACKUP_SUFFIX etwas anderes eingestellt ist. Die Versionskontrolle kann mit --backup oder der Umgebungsvariablen VERSION_CONTROL gesetzt werden. Mögliche Werte sind:

t, numbered
    nummerierte Sicherheitskopien

nil, existing
    nummerierte Sicherheitskopien, wenn schon nummerierte vorhanden sind, sonst einfache

never, simple
    immer einfache Sicherheitskopien

GNU tar kann keine --posix-Archive lesen. Wenn die Umgebungsvariable POSIXLY_CORRECT gesetzt ist, sind GNU-Erweiterungen in Kombination mit --posix unzulässig. Unterstützung für POSIX ist nur teilweise implementiert, rechnen Sie derzeit noch nicht damit!

ARCHIV kann DATEI, RECHNER:DATEI oder BENUTZER@RECHNER:DATEI sein; DATUM kann eine Datumsangabe als Text sein oder ein Dateiname sein, der mit »/« oder ».« beginnt. In diesem Fall wird das Datum der Datei benutzt.

Die Voreinstellung für tar ist üblicherweise »-f- -b20«.

BUGS MELDEN
Fehlermeldungen an <bug-tar@gnu.org>.

AUTOR
Geschrieben von John Gilmore und Jay Fenlason.

COPYRIGHT
Copyright © 2001 Free Software Foundation, Inc.

Dieses Programm wird ohne Gewährleistung geliefert, soweit dies gesetzlich zulässig ist. Sie können es unter den Bedingungen der GNU General Public License weitergeben. Details dazu enthält die Datei COPYING.